package com.pluralsight.service;

import com.pluralsight.model.Speaker;
import com.pluralsight.repository.HibernateSpeakerRepositryImpl;
import com.pluralsight.repository.SpeakerRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("speakerService")
public class SpeakerServicesImpl implements SpeakerService {

    private SpeakerRepository repository;

    public SpeakerServicesImpl() {
        System.out.println("SpeakerServiceImpl no args constructor");
    }

    public SpeakerServicesImpl (SpeakerRepository speakerRepository) {
        System.out.println("SpeakerServiceImpl Repo constructor");

        repository = speakerRepository;
    }

    @Autowired
    public void setRepository(SpeakerRepository repository) {
        System.out.println("SpeakerServiceImpl setter");

        this.repository = repository;
    }

    public List<Speaker> findAll() {
        return repository.findAll();
    }
}
